from setuptools import setup, find_packages

setup(
    name="StructuredContext",
    version="0.1.0",
    author="qikahhh",
    author_email="2101213934@stu.pku.edu.cn",
    description="structre context for code project",
    long_description="提出了一种基于层次化上下文的代码生成方法，旨在通过结构化建模与逐层动态检索机制增强代码生成模型的项目级上下文感知能力。",
    long_description_content_type='text/markdown',
    url="https://github.com/qikahh/StructuredContext",
    packages=find_packages(),
    install_requires=[
        # 列出项目依赖的其他包
        "accelerate==0.26.1",
        "annotated-types==0.6.0",
        "anyio==4.3.0",
        "async-timeout==4.0.3",
        "bcrypt==4.2.0",
        "blobfile==3.0.0",
        "cachetools==5.3.2",
        "click==8.1.7",
        "cloudpickle==3.0.0",
        "cmake==3.29.3",
        "colander==2.0",
        "colorama==0.4.6",
        "contourpy==1.3.1",
        "cornice==6.1.0",
        "cornice-swagger==1.0.1",
        "cycler==0.12.1",
        "diskcache==5.6.3",
        "distro==1.9.0",
        "dockerflow==2024.4.2",
        "editdistance==0.6.2",
        "elementpath==4.1.5",
        "email-validator==2.1.1",
        "fastapi==0.93.0",
        "fastapi-cli==0.0.3",
        "fonttools==4.55.8",
        "fsspec==2023.12.2",
        "fuzzywuzzy==0.18.0",
        "h11==0.14.0",
        "httpcore==1.0.5",
        "httptools==0.6.1",
        "httpx==0.27.0",
        "huggingface-hub==0.26.3",
        "hupper==1.12.1",
        "interegular==0.3.3",
        "iso8601==2.1.0",
        "jieba==0.42.1",
        "jinja2==3.1.3",
        "joblib==1.3.2",
        "jsonlines==4.0.0",
        "jsonschema==4.22.0",
        "jsonschema-specifications==2023.12.1",
        "kinto==18.1.1",
        "kinto-redis==2.1.0",
        "kiwisolver==1.4.8",
        "lark==1.1.9",
        "llvmlite==0.42.0",
        "lm-format-enforcer==0.9.8",
        "logging-color-formatter==1.1.0",
        "lxml==5.3.0",
        "markdown-it-py==3.0.0",
        "matplotlib==3.10.0",
        "mdurl==0.1.2",
        "memory-profiler==0.61.0",
        "modelscope==1.20.1",
        "msgpack==1.0.8",
        "ninja==1.11.1.1",
        "nltk==3.8.1",
        "numba==0.59.1",
        "numpy==1.26.2",
        "nvidia-cublas-cu12==12.1.3.1",
        "nvidia-cuda-cupti-cu12==12.1.105",
        "nvidia-cuda-nvrtc-cu12==12.1.105",
        "nvidia-cuda-runtime-cu12==12.1.105",
        "nvidia-cudnn-cu12==8.9.2.26",
        "nvidia-cufft-cu12==11.0.2.54",
        "nvidia-curand-cu12==10.3.2.106",
        "nvidia-cusolver-cu12==11.4.5.107",
        "nvidia-cusparse-cu12==12.1.0.106",
        "nvidia-ml-py==12.535.133",
        "nvidia-nccl-cu12==2.20.5",
        "nvidia-nvjitlink-cu12==12.4.127",
        "nvidia-nvtx-cu12==12.1.105",
        "nvitop==1.3.2",
        "openai==1.30.1",
        "orjson==3.10.3",
        "outlines==0.0.34",
        "pandas==2.1.2",
        "pastedeploy==3.1.0",
        "pillow==10.1.0",
        "plaster==1.1.2",
        "plaster-pastedeploy==1.0.1",
        "prometheus-client==0.20.0",
        "prometheus-fastapi-instrumentator==7.0.0",
        "protobuf==5.26.1",
        "psutil==5.9.7",
        "py-cpuinfo==9.0.0",
        "pyarrow==14.0.0",
        "pycryptodomex==3.20.0",
        "pydantic",
        "pydantic-core",
        "pygments==2.18.0",
        "pyparsing==3.2.1",
        "pyramid==2.0.2",
        "pyramid-mailer==0.15.1",
        "pyramid-multiauth==1.0.2",
        "pyramid-tm==2.5",
        "python-dotenv==1.0.1",
        "python-multipart==0.0.9",
        "python-rapidjson==1.20",
        "pytz==2023.3.post1",
        "rank-bm25==0.2.2",
        "ray==2.22.0",
        "redis==5.0.1",
        "referencing==0.35.1",
        "regex==2023.12.25",
        "repoze-sendmail==4.4.1",
        "rich==13.7.1",
        "rouge==1.0.1",
        "rpds-py==0.18.1",
        "safetensors==0.4.1",
        "scikit-learn==1.3.2",
        "scipy==1.11.3",
        "sentencepiece==0.2.0",
        "shellingham==1.5.4",
        "sniffio==1.3.1",
        "starlette==0.25.0",
        "termcolor==2.4.0",
        "threadpoolctl==3.2.0",
        "tiktoken==0.1.2",
        "tokenizers==0.20.3",
        "torch==2.3.0",
        "torchvision==0.18.0",
        "transaction==4.0",
        "transformers==4.46.3",
        "translationstring==1.4",
        "tree-sitter==0.24.0",
        "tree-sitter-python==0.23.6",
        "triton==2.3.0",
        "typer==0.12.3",
        "ujson==5.10.0",
        "uvicorn==0.29.0",
        "uvloop==0.19.0",
        "venusian==3.1.0",
        "vllm==0.4.2",
        "vllm-nccl-cu12==2.18.1.0.4.0",
        "waitress==3.0.0",
        "watchfiles==0.21.0",
        "webob==1.8.8",
        "websockets==12.0",
        "wordninja==2.0.0",
        "xformers==0.0.26.post1",
        "xmlschema==2.5.1",
        "yappi==1.6.10",
        "zope-deprecation==5.0",
        "zope-interface==7.0.3",
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.9',
    # 如果有其他资源文件需要包含，可以使用package_data指定
    package_data={
        'StructuredContext': ['data/*.dat'],
    },
)